关于pymol安装动问题

编译安装或者制作Deb包
回复
wfeigo
帖子: 5
注册时间: 2008-08-07 17:02
送出感谢: 0
接收感谢: 0

关于pymol安装动问题

#1

帖子 wfeigo » 2008-09-17 21:10

我安装pymol的时候,按照INSTALL上的说法,
python setup.py build
出现错误: (如下)
---------------------------------华丽动分割线---------------------------
layer0/os_gl.h:32:18: 错误: GL/gl.h:没有该文件或目录
layer0/os_gl.h:33:19: 错误: GL/glu.h:没有该文件或目录
In file included from layer0/Block.c:17:
layer0/os_gl.h:59: 错误: expected ‘)’ before ‘x’
layer0/os_gl.h:68: 错误: expected ‘)’ before ‘width’
layer0/os_gl.h:120:20: 错误: GL/glut.h:没有该文件或目录
layer0/Block.c: 在函数‘BlockFill’中:
layer0/Block.c:43: 警告: 隐式声明函数‘glBegin’
layer0/Block.c:43: 错误: ‘GL_POLYGON’未声明 (在此函数内第一次使用)
layer0/Block.c:43: 错误: (即使在一个函数内多次出现,每个未声明的标识符在其
layer0/Block.c:43: 错误: 所在的函数内也只报告一次。)
layer0/Block.c:44: 警告: 隐式声明函数‘glVertex2i’
layer0/Block.c:48: 警告: 隐式声明函数‘glEnd’
layer0/Block.c: 在函数‘BlockOutline’中:
layer0/Block.c:56: 错误: ‘GL_LINE_LOOP’未声明 (在此函数内第一次使用)
error: command 'gcc' failed with exit status 1
------------------------------------------------------------分割线-----------------------------------
少了什么软件没安装么?
我用软件包直接安装的话,安装好了却不能用
pymol
出错如下:
-----------------------------------------------------------------------------------------------------------
Traceback (most recent call last):
File "/var/lib/python-support/python2.5/pymol//__init__.py", line 167, in <module>
import pymol
File "/var/lib/python-support/python2.5/pymol/__init__.py", line 412, in <module>
from pymol import _cmd
ImportError: /var/lib/python-support/python2.5/pymol/_cmd.so: undefined symbol: PyUnicodeUCS4_SetDefaultEncoding
--------------------------------------------------------------------------------------------------------------
怎么回事, 是不是 import pymol 找不到

我装envyng动时候 也是装好了 运行动时候
-------------------------------------------------------------
envygn -t
------------------------------
Traceback (most recent call last):
File "interface.py", line 8, in <module>
from Envy import main
ImportError: No module named Envy
----------------------------------------------------------------
也是找不到模块,我搜索过系统 没有 pymol.py* 或者 Envyng.py* 这样的文件,怎么回事呢?
wfeigo
帖子: 5
注册时间: 2008-08-07 17:02
送出感谢: 0
接收感谢: 0

#2

帖子 wfeigo » 2008-09-18 10:57

我看了一下,编译pymol的时候是软件包的问题。。当时我libglu-dev libpng-dev 都是安装的intrepid版本的好像,版本比较高,别的依赖较低版本的库就装不上,所以我就把它们删掉了,重装
回复

回到 “编译或打包”